Varnish 不应该是你的选择

发现使用 Varnish 会有个很糟糕的问题,就是新版中的Varnish总是会带来VCL的变化或者一些其它规则的变化,开发者似乎并没考虑旧版的存在。如果你升级到新版本,你必须重写VCL规则~而这不是个容易的过程。没有人愿意折腾!

特别是Varnish的社区或官方支持是很糟糕的,关于Varnish的实际应用相关资料也没有多少,Google上也搜不到多少有用的相关文章,官方论坛更是做看的。

Varnish 是走商业和开源2条路线,所以开源的免费版没有多少支持可能是理所当然。但是,我在它们提供商业服务的网站Varnish-software.com上看到一篇它们直接转载别的网站的关于适用于WordPress 的Varnish 4.x VCL的文章,里面有些Varnish 4.x VCL是错误的,它们也没有改正,直到现在。~这简直太扯了。就算是varnish-cache.org上的一些样例也是错误百出。

选择Varnish,需注意,小玩玩即可。

发表评论或回复

*选项为必填项,您的电子邮件地址不会被公开。

*
*